OpenAPI Türkçe gyrohosting.com ↗

Monitoring

CPU, disk and network metrics and the provider-side action history.

#GET/cloud/servers/{id}/metrics

CPU, disk and network time seriesScope: cloud_readgetMetricsOpenAPI for this operation

tr-ist-1 (Gyro Compute): instant values (one point per series: cpu %, memory active/total MB, uptime s) and instant: true.

Parameters

FieldinTypeDescription
id requiredpathintegerServer id (= service id in the client area)
periodquerystring (24h, 7d, 30d)

Responses

200Metrics; each line is a list of [unix_time, value] — data: Metrics
404Not found — also returned for objects owned by someone else

Examples

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/metrics' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro server metrics 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/metrics", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/metrics", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);

#GET/cloud/servers/{id}/activity

Recent platform actions on the serverScope: cloud_readserverActivityOpenAPI for this operation

Parameters

FieldinTypeDescription
id requiredpathintegerServer id (= service id in the client area)

Responses

200Actions (newest first, max 50) — data: array<object>
404Not found — also returned for objects owned by someone else

Examples

curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/activity' \
  -H "Authorization: Bearer $GYRO_TOKEN"
gyro server activity list 12345
import os, uuid, requests

h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/activity", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/servers/12345/activity", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
  },
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);